### Enumeration

# Clutter EncodingRequiredFormat

#### Declaration

    enum Clutter.EncodingRequiredFormat

#### Description [src]

The texture format required to store a specific encoding.

#### Members

`CLUTTER_ENCODING_REQUIRED_FORMAT_UINT8`

  8bpc uint.

  - Value: `0`
  - Available since: 16
`CLUTTER_ENCODING_REQUIRED_FORMAT_UINT10`

  10bpc uint.

  - Value: `1`
  - Available since: 16
`CLUTTER_ENCODING_REQUIRED_FORMAT_FP16`

  16bpc floating point.

  - Value: `2`
  - Available since: 16